%define major 9
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	An SSL library
Name:		mbedtls
Version:	1.3.19
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://tls.mbed.org/
Source0:	https://tls.mbed.org/code/releases/mbedtls-%{version}-gpl.tgz
%rename		polarssl
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libpkcs11-helper-1)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openssl)

%description
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains mbed TLS programs.

%package -n	%{libname}
Summary:	mbed TLS library
Group:		System/Libraries

%description -n	%{libname}
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains the library itself.

%package -n	%{develname}
Summary:	mbed TLS development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	mbedtls-devel = %{version}
Provides:	polarssl-devel = %{version}
Obsoletes:	%{mklibname polarssl -d}

%description -n	%{develname}
mbed TLS (formerly known as PolarSSL) is an SSL library written in ANSI C.
mbed TLS makes it easy for developers to include cryptographic and SSL/TLS
capabilities in their (embedded) products with as little hassle as possible.
It is designed to be readable, documented, tested, loosely coupled and
portable.

This package contains development files.

%prep

%setup -q

# Enable POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags
# https://bugs.mageia.org/show_bug.cgi?id=15391#c4
sed -i -e 's|.*\(#define POLARSSL_THREADING_C\)|\1|' \
	-e 's|.*\(#define POLARSSL_THREADING_PTHREAD\)|\1|' \
	include/polarssl/config.h

%build
%cmake \
	-DUSE_SHARED_MBEDTLS_LIBRARY:BOOL=ON \
	-DUSE_PKCS11_HELPER_LIBRARY:BOOL=ON
%make
%make apidoc

%check
%make check

%install

%make_install -C build

# prevent possible file clashes
pushd %{buildroot}%{_bindir}
    for i in * ; do mv ${i} mbedtls-${i}; done
popd

rm -f %{buildroot}%{_libdir}/*.a

%files
%doc ChangeLog README*
%{_bindir}/mbedtls-*

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_libdir}/*.so.%{version}

%files -n %{develname}
%doc apidoc/*
%{_libdir}/*.so
%{_includedir}/polarssl


%changelog
* Thu Mar 23 2017 luigiwalser <luigiwalser> 1.3.19-1.mga5
+ Revision: 1094597
- 1.3.19 (fixes CVE-2017-2784)
- 1.3.18
- 1.3.17
- library major is now 9
- 1.3.16 (mga#17187)
- polarssl renamed to mbedtls

* Sat Mar 07 2015 wally <wally> 1.3.9-3.mga5
+ Revision: 817960
- build with POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags enabled (mga#15391)
- add BuildRequires for graphviz

* Wed Feb 04 2015 luigiwalser <luigiwalser> 1.3.9-2.mga5
+ Revision: 813438
- add upstream patch to fix CVE-2015-1182

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.3.9-1.mga5
+ Revision: 797260
- 1.3.9 (fixes CVE-2014-8627 and CVE-2014-8628)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-3.mga5
+ Revision: 739124
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-2.mga5
+ Revision: 687708
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 oden <oden> 1.3.8-1.mga5
+ Revision: 658539
- do not package libpolarssl.a
- 1.3.8 (CVE-2014-4911)
- new major (7)
- drop the make_check_fixes patch, fixed upstream

* Sat Feb 08 2014 oden <oden> 1.3.4-1.mga5
+ Revision: 585843
- 1.3.4 (Security: Missing MPI_CHK calls added around unguarded mpi calls (found by TrustInSoft)
- 1.3.3 (Security: Possible remotely-triggered out-of-bounds memory access fixed (found by TrustInSoft))

* Tue Oct 22 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 546175
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 oden <oden> 1.3.1-1.mga4
+ Revision: 502136
- 1.3.1

* Tue Oct 15 2013 oden <oden> 1.3.0-1.mga4
+ Revision: 500388
- 1.3.0

* Tue Sep 24 2013 oden <oden> 1.2.8-1.mga4
+ Revision: 484752
- 1.2.8 (fixes CVE-2013-4623)
- 1.2.6 fixed CVE-2013-0169, CVE-2013-1621

* Sat Feb 09 2013 oden <oden> 1.2.5-1.mga3
+ Revision: 397517
- 1.2.5 (fixes CVE-2013-1621)

* Fri Jan 18 2013 oden <oden> 1.2.3-1.mga3
+ Revision: 389394
- imported package polarssl


* Mon Nov 16 2015 Oden Eriksson <oe@nux.se> 2.2.0-1
- polarssl was renamed to mbedtls

* Sat Mar 07 2015 wally <wally> 1.3.9-3.mga5
+ Revision: 817960
- build with POLARSSL_THREADING_PTHREAD and POLARSSL_THREADING_C flags enabled (mga#15391)
- add BuildRequires for graphviz

* Wed Feb 04 2015 luigiwalser <luigiwalser> 1.3.9-2.mga5
+ Revision: 813438
- add upstream patch to fix CVE-2015-1182

* Fri Nov 14 2014 luigiwalser <luigiwalser> 1.3.9-1.mga5
+ Revision: 797260
- 1.3.9 (fixes CVE-2014-8627 and CVE-2014-8628)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.8-3.mga5
+ Revision: 739124
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.8-2.mga5
+ Revision: 687708
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 oden <oden> 1.3.8-1.mga5
+ Revision: 658539
- do not package libpolarssl.a
- 1.3.8 (CVE-2014-4911)
- new major (7)
- drop the make_check_fixes patch, fixed upstream

* Sat Feb 08 2014 oden <oden> 1.3.4-1.mga5
+ Revision: 585843
- 1.3.4 (Security: Missing MPI_CHK calls added around unguarded mpi calls (found by TrustInSoft)
- 1.3.3 (Security: Possible remotely-triggered out-of-bounds memory access fixed (found by TrustInSoft))

* Tue Oct 22 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 546175
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 oden <oden> 1.3.1-1.mga4
+ Revision: 502136
- 1.3.1

* Tue Oct 15 2013 oden <oden> 1.3.0-1.mga4
+ Revision: 500388
- 1.3.0

* Tue Sep 24 2013 oden <oden> 1.2.8-1.mga4
+ Revision: 484752
- 1.2.8 (fixes CVE-2013-4623)
- 1.2.6 fixed CVE-2013-0169, CVE-2013-1621

* Sat Feb 09 2013 oden <oden> 1.2.5-1.mga3
+ Revision: 397517
- 1.2.5 (fixes CVE-2013-1621)

* Fri Jan 18 2013 oden <oden> 1.2.3-1.mga3
+ Revision: 389394
- imported package polarssl

* Fri Jan 18 2013 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1
- initial Mageia package
